### Method

# PangoOT Info find_feature

#### Declaration [src]

    gboolean
    pango_ot_info_find_feature (
      PangoOTInfo* info,
      PangoOTTableType table_type,
      PangoOTTag feature_tag,
      guint script_index,
      guint language_index,
      guint* feature_index
    )

#### Description [src]

Finds the index of a feature.

If the feature is not found, sets `feature_index` to PANGO_OT_NO_FEATURE, which is safe to pass to `pango_ot_ruleset_add_feature()` and similar functions.

In the future, this may set `feature_index` to an special value that if used in `pango_ot_ruleset_add_feature()` will ask Pango to synthesize the requested feature based on Unicode properties and data. However, this function will still return `FALSE` in those cases. So, users may want to ignore the return value of this function in certain cases.

#### Parameters

`table_type`

  Type: `PangoOTTableType`

  The table type to obtain information about.

`feature_tag`

  Type: `PangoOTTag`

  The tag of the feature to find.

`script_index`

  Type: `guint`

  The index of the script.

`language_index`

  Type: `guint`

  The index of the language whose features are searched, or `PANGO_OT_DEFAULT_LANGUAGE` to use the default language of the script.

`feature_index`

  Type: `guint*`

  Location to store the index of the feature.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `gboolean`

`TRUE` if the feature was found.